# PepperPy 🌶️

A modern, feature-rich Python utility library designed to accelerate development with elegant abstractions and powerful utilities.

[![PyPI version](https://badge.fury.io/py/pepperpy.svg)](https://badge.fury.io/py/pepperpy)
[![Python Support](https://img.shields.io/pypi/pyversions/pepperpy.svg)](https://pypi.org/project/pepperpy/)
[![Documentation Status](https://readthedocs.org/projects/pepperpy/badge/?version=latest)](https://pepperpy.readthedocs.io/)
[![License](https://img.shields.io/github/license/fpimentel-py/pepperpy.svg)](https://github.com/fpimentel-py/pepperpy/blob/main/LICENSE)

## Features 🌟

- **Modular Architecture**: Each feature is self-contained and independently usable
- **Type Safety**: Full type hints and runtime type checking
- **Modern Python**: Leverages Python 3.10+ features
- **Extensible Design**: Easy to customize and extend
- **Rich Console Support**: Beautiful terminal outputs and interactive features
- **AI/ML Ready**: Optional modules for AI and machine learning tasks
- **Async First**: Built with asyncio for modern async applications

## Installation 🚀

PepperPy uses Poetry for dependency management. Install the base package:

```bash
poetry install --only main
```
